Subject: Re: bug#13255: 24.2.50; output in nonvisible shell buffer changes prompt

From: Stephen Berman <[email-masked]>
Date: Sun, 23 Dec 2012 13:54:22 +0100

On Sat, 22 Dec 2012 22:33:29 -0500 Glenn Morris <[email-masked]> wrote:

> Richard Stallman wrote:
>
>> I have a shell buffer with a program sending lots of output.
>> That buffer is not currently displayed.  I type C-h, and it prompts.
>> So far, so good.
>>
>> The bug is that the prompt changes repeatedly.  A space gets added at
>> the beginning and the hyphen disappears at the end.  Then the space
>> disappears and the hyphen reappears.  This oscillation continues
>> indefinitely at the rate of 3 or 4 changes per second.
>
> I don't see this. What I see (24.2.91) is:
>
> emacs -Q -f shell
>
> ;; run this in shell buffer
> while : ; do
>  sleep 0.5
>  echo hi
> done
>
> C-x b *scratch* RET
> C-h
>
> So long as the shell is looping, I get no C-h prompt at all.
> If I interrupt the loop, I get the intended:
>
> C-h (Type ? for further options)-

When I repeat Glenn's recipe in GNU Emacs 24.3.50.2
(x86_64-suse-linux-gnu, GTK+ Version 3.4.4) of 2012-12-23 on rosalinde,
revision 111308 [email-masked], I
also get no prompt on typing `C-h'; but if I uncheck "Blink Cursor" in
the Options menu and again type `C-h', then I see exactly what rms
reported.

Steve Berman